Jump to content

SexLab SE - Sex Animation Framework v1.64c - 01/07/22 1.64c

   (34 reviews)

1 Screenshot

About This File


sexlab framework se
Skyrim SexLab SE/AE (SSL) v1.64c
An adult animation framework

 

 

This version of SexLab is for Skyrim Special Edition / Anniversary Edition

For the old LE version, click here

 

Note on downloads:

For Skyrim Special Edition (1.5.97, aka SE) use SexLabFrameworkSE_v163.7z

For Skyrim Special Edition (1.6.353, aka AE) use SexLabFrameworkAE_v164c.7z

AE also requires latest version of Address Library (available here)

 


----- Description --------------------------------------------------------------

 

Skyrim SexLab, is intended to serve as a unifying resource for modders to pull animations from to aid them in development of adult themed mods, without having to going through the complex scripting work it takes by themselves. A modder is provided with a wealth of tools and functions they can call that will aid them in creating their own mod.

 

As it is intended as a resource mod that other mods can pull from to use for adult animations. This mod does NOTHING by itself, and requires a separate mod to make use of the resources provided.

 

----- Frequently Asked Questions -------------------------------------------

 

http://www.loverslab.com/topic/17711-sexlab-frequently-asked-questions-faq/

 

----- Requirements -------------------------------------------------------------

 

Skyrim Script Extender (SKSE) REQUIRES SKSE 2.1.5 OR NEWER

 

Address Library for SKSE Plugins

 

Fores New Idles in Skyrim SE (FNIS) REQUIRES FNIS 7.0.0 OR NEWER

  • FNIS Creature Pack version 5.2 or newer is required only if you want creature animation support in SexLab, otherwise it is not required.
  • If you get a warning in game about not having 5.2 installed despite having installed it. You have without exception, installed it incorrectly. You can either ignore the warning and keep using SexLab like normal if everything working anyway, or do the smart thing and figure out what's wrong with your FNIS install so the warning will leave you alone.


SkyUI SE REQUIRES VERSION 5.0 OR NEWER


An actor skeleton mod such as XP32 Maximum Skeleton Special Extended (XPMSSE)


----- Basic Installation Procedure ------------------------------------------

 


After properly installing SKSE, SkyUI, and FNIS as listed above, follow these steps.

  1. Download the latest full framework pack & install it using your mod manager of choice (Mod Organizer highly preferred.)
  2. Run the GenerateFNISforUsers.exe tool.
  3. If you have a custom animation skeleton installed (very likely, if you don't you should. See: XPMSSE ) make sure you check the "Skeleton arm fix" patch.
  4. Click the big button that reads "Update FNIS Behavior"
  5. You should see a line that says "Reading SexLab..." if not you've done something wrong.
  6. DO NOT ignore any warnings or errors you see in the FNIS window.
  7. Activate the SexLab.esm file in your list of active mods.
  8. Load or start a new save game in Skyrim and navigate to the Mod Configuration menu titled "SexLab"
  9. Check that you meet the requirements on the left pane and then click the Install option in the top right.
    • NOTE: Some of the checks you'll see there are only soft dependencies, or can be a false-negative. If the Install button is clickable for you, just go ahead and continue.

[*]Close all menus and stand still until the install finishes, it can take a few minutes.


----- Basic Update Procedure -------------------------------------------------

  1. Download the latest full framework archive, if you are using a version older than 1.60, you will need the full archive, otherwise you will only need the update patch.
  2. Extract the updated framework/patch into your Skyrim's data folder, or if using Mod Organizer (like you should be) then merge the files ontop of an existing MO mod install for SexLab Framework.
  3. (optional, but recommended for safest upgrade) Disable ALL SexLab related mods except for SexLab.esm and any that are absolutely required or disabling will mean losing progress on in some way.
  4. Navigate to your Skyrim's data/tools/GenerateFNIS_for_Users folder and run the GenerateFNISforUsers.exe utility.
  5. If you have a custom animation skeleton installed (if you dont, you should) make sure you check the "Skeleton arm fix" patch.
  6. Click the big button that reads "Update FNIS Behavior"
  7. You should see a line that says "Reading SexLab ..." if not you've done something wrong.
  8. Load your save game and you should see a notification that SexLab is updating and/or installing, it will then go through the update process.

[*]Wait 1-2 minutes, until you see a notification that says SexLab has finished updating and/or installing [*]Wait another 30 seconds or so and then perform a quick test animation either via the SexLab MatchMaker mod or by starting one via the animation editor. [*]Assuming the test animation was successful, save your game with the update now fully applied, you should see the appropriate version number listed on the last page of the SexLab MCM. [*](optional, but recommended for safest upgrade) if you followed step 3, you should now reinstall all the SexLab mods you disabled, ensuring you are using the latest version of each. For best results reinstall them one at a time and make sure they are functional with the new version of SexLab before reinstalling the next one.


----- Creature Use Instructions -----------------------------------------

 


If you want to use creature animations, you will need to follow some extra installation instructions.

  1. Install the latest FNIS and the latest FNIS Creature Pack if you have not yet, both of which are available on the FNIS Download page
  2. Run GenerateFNISforUsers and click the big "Update FNIS Behavior" button.
  3. After it finishes patching, you should see 2 lines, "Create Creature Behaviors ..." and BELOW that "Reading SexLabCreature ..."
  4. Load your Skyrim save
  5. Navigate to the SexLab Mod Configuration menu and go to the first available settings page, "Animation Settings"
  6. Check the box for "Allow Creature Animation" so that it is in a toggled on state (the box is filled instead of empty)
  7. You will need to install mod that lets you start animations with creatures, as SexLab Framework does not start any animations by itself.
  8. SexLab MatchMaker works with creatures, and is the more straight forward of means to start creature animations.
  9. For others, look through the download page for SexLab mods with creature support

 

 

 

 

----- Uninstalling ----------------------------------------------------------------

 

To cleanly uninstall the mod, perform the following steps.

  1. With your current installation, go into MCM and select the "Rebuild & Clean" page.
  2. Click on the row that says "Clean System"
  3. You will be prompted to close all your current menus, do so.
  4. After closing your menus and being told the system clean is complete, save your game.
  5. Perform the uninstall procedure for any 3rd party SexLab mods you have installed.
  6. Quit the game.
  7. Disable SexLab.esm and any SexLab mods you have enabled in your load order


----- Changelog ----------------------------------------------------------------

 

 

 

v1.64:

(TODO)

 


----- Modder's Guide -------------------------------------------------------------

 

A modders guide to using the API can be partially found in scripts/sources/SexLabFramework.psc as well as here: http://git.loverslab.com/sexlab/framework/wikis/home

 

WARNING: The API docs are currently fairly outdated in some spots for v1.60. It should be fine in most spots, but if you have any questions feel free to private message me or ask somewhere else and I'll answer soon as I'm able. Updating them is my top priority right now.
If you are a mod developer looking to develop a mod using SexLab, feel free to contact me via private message and I will do everything I can to help you along and if possible upgrade the framework to fit your needs.
----- Future Plans ----------------------------------------------------------------

 

See dedicated development thread

 

----- Credits -----------------------------------------------------------------------

 

Scripting & Project Owner:
Ashal

 

Additional Scripting:

osmelmc

 

SKSE Plugin:
h38fh2mf
Ashal

 

Animations:
Unknown Modders - http://skup.dip.jp
Arrok - BBP Animations
JoshNZ - Animated Prostitution
Mithos
Blac945
Zynsch
TDA
Zynsch
Bleagh
PanicForever
Athstai - Dark Investigations
3jiou - http://www.loverslab.com/topic/38317-3js-animations/
Mitos - http://www.loverslab.com/topic/42217-mitos-animation-shop/
Leito86 - http://www.loverslab.com/topic/39465-animations-by-leito-12915-new-animations/
4uDIK - http://www.loverslab.com/topic/38934-аnimations-for-sexlab/
FalloutBoy2 - http://www.loverslab.com/topic/39160-animation-complete/

 

Audio:
Lovers with PK
Setekh

 

Mesh/Textures:
Calyp - Strapon
oli3d - Bukkake Shaders
4uDIK1 - Male Nudesuit
Dimon99 - Female Nudesuit
Vacaliga - Stacking cum textures

 

Localization:
aravis7 - French
CGi - German
mswind - Chinese
anonymous - Japanese
fedim - Russian
sh1ny - Russian
holtof55 - Russian
Huili - Russian
RockMic - Italian

 

NOTE: If you have an updated translation file or would like to translate or update one of the existing translations; send it to me or let me know if you have any questions about how.
----- Permissions -----------------------------------------------------------------

 

You must ask my permission before distributing this base framework on any site other than LoversLab.com

 

The animations themselves belong to the individual modders who made them, I am using them solely by their permission and/or stated open use policy. If you wish to repurpose them else where it is there permission you need and not mine.

 

Unless you are contributing to the Git repository development branch, you are not allowed to edit any of the included scripts and resources except to translate the mod into another language.

 

If you wish to translate the framework into another language, go right ahead, no need to ask. If you need it, I will provide you with as much support as I can to assist you with the translation process. Afterwards if you want to send me the translated file and I will package it with the releases, or you are free to release the translation file, and the translation file alone, however you wish.

 

----- Contacting Me --------------------------------------------------------------

 

I will provide direct support to people via email and private message ONLY if you are a modder using the framework in your mod. People seeking support for using the mod contacting me this way will be, without hesitation, completely ignored. If you need support for the framework, use the thread or support section, I will answer such questions there and only there.

 

---------------------------------------------------------------------------------------

 

 


What's New in Version 1.64c

Released

Updated to work with SKSE 2.1.5


User Feedback

You may only provide a review once you have downloaded the file.


Mulkfate

   104 of 113 members found this review helpful 104 / 113 members

needs a update for 1.6.342

Link to review
KordaWolf27

   43 of 51 members found this review helpful 43 / 51 members

Needs another update game crashes instantly when I try to run it and I am using the AE version but sense the patch notes shortly after the AE update the mod is broken again

 

Link to review
Schmoop

· Edited by DongVanSchlong

   50 of 61 members found this review helpful 50 / 61 members

For anyone who struggled because of the AE update, I used the downgrade from Nexus (here) to get the 1.5.97 version in order for all my mods to work. To use the Framework, I installed the BETA 9 for my SKSE ver. 2.0.20 (here) and it works now!

Link to review
Maximillion

   39 of 48 members found this review helpful 39 / 48 members

I rate this mod 5 stars because of past use. This version needs an update for Skyrim Anniversary Edition 1.6.242.

 

I install this with no errors, but when I start Skyrim AE I get an outdated or incorrect SexLabUtil error.

I un-installed and then installed it again with the same negative results.

 

Please update as soon as you can.

Link to review
dovahnurse

   7 of 10 members found this review helpful 7 / 10 members

Works really well! It's the best sex mod I've used so to date.

 

My only wish is that sex scenes could start a little faster.

Link to review
EdwardEl

   2 of 3 members found this review helpful 2 / 3 members

What can I say, if you're on this site for Skyrim, it's probably because of this mod. It's stable and works like a charm, an absolutely essential backbone for a lot of really great content.

Link to review
Tyrber

   2 of 3 members found this review helpful 2 / 3 members

Works .... no problems so far.

Link to review
Fiend71

   2 of 3 members found this review helpful 2 / 3 members

Hours upon hours of sexy fun in Tamriel.  How awesome is that?

 

Thank you so much. :)

Link to review
Surprised Ruby

   15 of 23 members found this review helpful 15 / 23 members

Maybe im doing something wrong, but I cant get it to actually install. I go to click the button and the game just doesn't seem to respond after about 5-10min of idle.

Link to review
maskedman48

   6 of 10 members found this review helpful 6 / 10 members

This mod is downright sick in every possible way........AND I LOVE EVERY BIT OF IT!!!!!

 

Keep up the good work man. Seriously, LOVE your stuff!!

 

Has anybody ever just said thank you for your hard, tireless, and equally brilliant work???

 

 

Link to review
Msabbagha

   16 of 27 members found this review helpful 16 / 27 members

The man, the myth, the legend. THANK YOU!

Link to review
knightsflp

   10 of 20 members found this review helpful 10 / 20 members

I install everything correctly. I run fores with no errors and it reads SL. Go into game and install it from MC. Installs fine and gives me all the options. When I die I get an error "SL is not compatible with current version of skyrim VR. It seems that the new SL download doesn't work in VR anymore. Not sure what else to do. I have all the mods required by the list. No additional mods expect for Alternate Start

Link to review
Alvi

· Edited by Alvi

   7 of 14 members found this review helpful 7 / 14 members

cool you're ahead of things, but a lot of people are running the downgrade version of the game. There is a link for the previous version in the comments.

Link to review
epolz

   2 of 4 members found this review helpful 2 / 4 members

awesome

Link to review
Gameplayer

   1 of 2 members found this review helpful 1 / 2 members

Well deserving of 5 stars been a main file in my LO going way back into Legendary Edition of the game and a very dependable platform at that.

Works quite well in Skyrim SE and glad to have it.

Link to review
TRX_Trixter

· Edited by m4mk203

   6 of 13 members found this review helpful 6 / 13 members

Thank you!

 

Im glad to see that work on AexLab Framework is going on ?

Link to review
MR.NASSTY

   5 of 11 members found this review helpful 5 / 11 members

I want to give this a 5 star because its amazing in theory... but I can't actually use it since it's not updated :(

Link to review
Jordan_Dexter0

   4 of 9 members found this review helpful 4 / 9 members

I loved SL until the new update, which won't even let me launch the game. 
I hope this is able to be fixed in the future.

Link to review
Nevenelidis

   3 of 7 members found this review helpful 3 / 7 members

For me everything is installed corectly but ... when i going to talk with some NPC nothing happend . Just dialog menu is not appear . Even on full clear version .

Link to review
TmKi

· Edited by TmKi

   6 of 15 members found this review helpful 6 / 15 members


Skyrim: Special Edition I have a question   mods SexLab SE
 Can you make a video tutorial for using with it instead? 

Link to review
jamesdenning

   4 of 11 members found this review helpful 4 / 11 members

In the past I have used this with no problems. This week I tried to revisit Skyrim, and I cannot get this mod to work. Followed all steps correctly, checked the FAQs and Troubleshooting guide. Reinstalled everything from base game up. Nothing helps. I am rating 3 stars: 5 based on past use, and 1 for current state. If there is an update which gets the mod running again, I will revisit my rating.

Link to review
WeIseROnfire

   3 of 9 members found this review helpful 3 / 9 members

 

sorry for my English but I am running SSE 1.6.342 running is SexLabFrameworkSE_v163.7z it does not work then we have to wait. I have the SE ¨1.6.342¨ help

 

Link to review
legenda17

   2 of 6 members found this review helpful 2 / 6 members

Is it possible to integrate a new Animation Loader for AE, directly in the Framework?

Link to review
Gamer-JX

   2 of 8 members found this review helpful 2 / 8 members

I can't launch Skyrim AE after I install Sexlab Framework, I installed SKSE64, how to solve?

Link to review
xordevoreaux

· Edited by xordevoreaux

   2 of 8 members found this review helpful 2 / 8 members

CTD when using Debug (Target)

Link to review
×
×
  • Create New...